import 'package:json_annotation/json_annotation.dart';

part 'amount.g.dart';

@JsonSerializable()
class Amount extends Object{

  @JsonKey(name: 'currency')
  String currency;

  @JsonKey(name: 'value')
  String value;

  @JsonKey(name: 'issuer')
  String issuer;

  Amount(this.currency,this.value,this.issuer,);

  factory Amount.fromJson(Map<String, dynamic> srcJson) => _$AmountFromJson(srcJson);

  Map<String, dynamic> toJson() => _$AmountToJson(this);

}
