import 'package:json_annotation/json_annotation.dart';

import './amount.dart';
import './send_max.dart';

part 'tx_json.g.dart';

@JsonSerializable()
class TxJson extends Object{

  @JsonKey(name: 'Fee')
  String fee;

  @JsonKey(name: 'Sequence')
  int sequence;

  @JsonKey(name: 'Account')
  String account;

  @JsonKey(name: 'Amount')
  Amount amount;

  @JsonKey(name: 'SendMax')
  SendMax sendMax;

  @JsonKey(name: 'Destination')
  String destination;

  @JsonKey(name: 'TransactionType')
  String transactionType;

  TxJson(this.account,this.amount,this.sendMax,this.destination,this.transactionType,this.fee,this.sequence,);

  factory TxJson.fromJson(Map<String, dynamic> srcJson) => _$Tx_jsonFromJson(srcJson);

  Map<String, dynamic> toJson() => _$Tx_jsonToJson(this);

}
