class Wallet {
  final String secret;
  final String address;
  final String publicKey;

  Wallet(this.secret, this.address, this.publicKey);

  Wallet.fromJson(Map<String, dynamic> json)
      : secret = json['secret'],
        address = json['address'],
        publicKey = json['publicKey'];

  Map<String, dynamic> toJson() => {
        'secret': secret,
        'address': address,
        'publicKey': publicKey,
      };
}
