import 'package:json_annotation/json_annotation.dart';

import './tx_json.dart';

part 'gateway_pay_tx.g.dart';


@JsonSerializable()
class GatewayPayTx extends Object {

  @JsonKey(name: 'secret')
  String secret;

  @JsonKey(name: 'tx_json')
  TxJson txJson;

  GatewayPayTx(this.secret,this.txJson,);

  factory GatewayPayTx.fromJson(Map<String, dynamic> srcJson) => _$GatewayPayTxFromJson(srcJson);

  Map<String, dynamic> toJson() => _$GatewayPayTxToJson(this);
}







